package com.example.demo.Repository;

import com.example.demo.Entity.Game;
import com.example.demo.Entity.User;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.util.Collection;
import java.util.Set;

@RepositoryRestResource
public interface UserRepository extends JpaRepository<User, Long> {

    User findByEmail(String email);

//    @Query("select g.title, g.studio, g.platform" +
//    " from Game g" +
//    " inner join user_game ug on g.id = ug.game_id" +
//    " inner join users u on ug.user_id = u.id" +
//    " where u.id = :id")
//    Collection<Game> getAllUsersGames(@Param("id")Long id);

    @Query("select g from User u inner join u.gameLibrary g where u.id in :userId")
    Collection<Game> findAllGamesById(@Param("userId")Long userId);





}
