# Concept

"backlogg" is an app that will let users keep a backlog of all kinds of media they consume. Everything from games, to movies, to books, "backlogg" will let the user slowly build a repository of their collection complete with descriptions for each item in their backlog along with being able to track completion of each item. My Minimum Viable Product aims to let a user create an account and be able to keep a private backlog of games they have completed or they are currently playing. 

#Views
There are multiple ways to view each backlog. The app will organize it first based on the type of media it is (such as GAMES or BOOKS). Within those, the user can select a view to organize their items. For example, organize their GAMES by % Complete, Title, Genre etc. For each item, they will have fields relevant to that medium. For example a Game would have Title, Platform, and Trophy/Achievements. Trophies and Achievements are something most modern games implement and are tracked by each Platform. For example, PlayStation games use Trophies so when a user plays a game on their PS4, their PlayStation account keeps track of how many Trophies they have for each game. This is something you can access using a PlayStation API which users maybe able to use to sync their accounts. 

Each item in the backlog has an Episode. An Episode is a period of time that the user has actively used that item. For example, if I play a game for a week, thats one episode. This lets the app keep Activity for each item. The user can see all the episodes for an item.

#Possible Stretch Features

Some stretch goals is a friend system. Users can have friends which would let friends compare their backlogs. This would give access to a very useful view which is shared items. You might see that you and a friend have played the same game and also be able to see how much they've completed compared to you. A community hub can than spawn off for each item that is shared between friends. The hub would let you and all your friends who have played that game to be able to make posts to discuss the game (or any other item).


#User Scenario

Nafis buys a new game, God of War. He opens "backlogg" at his leisure and selects Add New Game. He puts in the name of the Title (If the title already exists in the master database for the app which compiles all items all users have ever entered, then some default fields are filled in). Since a previous user has already tracked God of War, the app knows that it's a PS4 game and fills in the Platform field for him. The app will ask him when he acquired the game and if he wishes to start an episode. A little calendar popup will let him choose a date or it picks the current date by default. The next time he opens "backlogg", it asks him if he's still playing God of War since he started an episode for it but never closed it. When he finishes the game, he can hit complete and select a complete date. He can view his activity with the game and see how long it took to complete it.

