package com.example.demo.Repository;

import com.example.demo.Entity.Game;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.data.rest.core.annotation.RepositoryRestResource;

import java.util.Collection;

@RepositoryRestResource
public interface GameRepository extends JpaRepository<Game, Long> {

    @Query("select id from Game where title = :title")
    Long getGameByName(@Param("title")String title);

////    @Query("select title, studio, platform from Game where platform = :platform")
//    Iterable<Game> getGamesByPlatform(@Param("platform")String platform);

    Collection<Game> getAllByPlatform(String platform);





}

