package com.example.demo.RepositoryTest;

import com.example.demo.Entity.Game;

import com.example.demo.Repository.GameRepository;
import org.junit.After;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.autoconfigure.orm.jpa.DataJpaTest;
import org.springframework.boot.test.autoconfigure.orm.jpa.TestEntityManager;
import org.springframework.test.annotation.DirtiesContext;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Collection;

import static org.assertj.core.api.AssertionsForClassTypes.assertThat;

@RunWith(SpringRunner.class)
@DataJpaTest
@DirtiesContext(classMode = DirtiesContext.ClassMode.BEFORE_EACH_TEST_METHOD)
public class GameRepositoryTest {

    @Autowired
    private TestEntityManager entityManager;

    @Autowired
    private GameRepository gameRepository;

//    @Test
//    public void getGameByNameTest(){
//
//        //given
//        Game sotn = new Game("sotn", "konami", "ps1","");
//        entityManager.persist(sotn);
//        entityManager.flush();
//        Game metroid = new Game("metroid", "nintendo", "nes","");
//        entityManager.persist(metroid);
//        entityManager.flush();
//
//        //when
//        Long found = gameRepository.getGameByName(metroid.getTitle());
//
//        //then
//        assertThat(found).isEqualTo(2);
//    }

//    @Test
//    public void getAllByPlatformTest(){
//
//        //given
//        Game sotn = new Game("sotn", "konami", "ps1","");
//        entityManager.persist(sotn);
//        entityManager.flush();
//        Game metroid = new Game("metroid", "nintendo", "nes","");
//        entityManager.persist(metroid);
//        entityManager.flush();
//        Game mgs = new Game("mgs", "konami", "nes","");
//        entityManager.persist(mgs);
//        entityManager.flush();
//
//        //when
//        Collection<Game> found =  gameRepository.getAllByPlatform("nes");
//
//        //then
//        assertThat(found.contains(sotn)).isEqualTo(false);
//    }




}
